Bug 1001466 - Various licensing issues need resolution
Various licensing issues need resolution
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: mpich (Show other bugs)
rawhide
Unspecified Unspecified
unspecified Severity high
: ---
: ---
Assigned To: Zbigniew Jędrzejewski-Szmek
Fedora Extras Quality Assurance
: Tracking
Depends On:
Blocks: FE-Legal 1001469 1001718
  Show dependency treegraph
 
Reported: 2013-08-27 02:21 EDT by Richard Fontana
Modified: 2016-01-21 08:52 EST (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
: 1001469 (view as bug list)
Environment:
Last Closed: 2016-01-21 08:52:53 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Richard Fontana 2013-08-27 02:21:30 EDT
This file contains numerous source files and image files that violate or appear to violate Fedora legal policies. The entire package is a colossal mess of legal carelessness.
Comment 1 Richard Fontana 2013-08-27 02:22:57 EDT
Blocking FE-Legal.
Comment 2 Richard Fontana 2013-08-27 02:24:09 EDT
(In reply to Richard Fontana from comment #0)
> This file 

Package, sorry.
Comment 3 Orion Poplawski 2013-08-27 11:26:40 EDT
Note that the current mpich package (version 3) is called "mpich" in Fedora.
Comment 4 Tom "spot" Callaway 2013-08-27 12:53:55 EDT
Richard, you're going to have to be a bit more specific here. In reviewing the source tree, I see that most of the code is under a simple MIT-like permissive license. There is one bundled perl module which is under the Perl (GPL+ or Artistic) license, and the src/armci/* code is BSD.

src/include/mpiu_utarray.h is from "uthash", and is BSD.

src/pm/hydra/tools/topo/hwloc/hwloc is BSD

In fact, the only areas of possible concern I could identify were:

1. the use of the non-free Sun images in src/mpe2/src/slog2sdk/src/images, under this old Sun license:

*****

Sun grants you ("Licensee") a non-exclusive, royalty free, license to use, and redistribute this software graphics artwork, as individual 
graphics or as a collection, as part of software code or programs that you develop, provided that i) this copyright notice and license
accompany the software graphics artwork; and ii) you do not utilize the software graphics artwork in a manner which is disparaging to Sun.
Unless enforcement is prohibited by applicable law, you may not modify the graphics, and must use them true to color and unmodified in every
way.

This software graphics artwork is provided "AS IS," without a warranty of any kind. ALL EXPRESS OR IMPLIED CONDITIONS, REPRESENTATIONS AND 
WARRANTIES, INCLUDING ANY IMPLIED WARRANTY OF MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE OR NON-INFRINGEMENT, ARE HEREBY EXCLUDED. SUN
AND ITS LICENSORS SHALL NOT BE LIABLE FOR ANY DAMAGES SUFFERED BY LICENSEE AS A RESULT OF USING, MODIFYING OR DISTRIBUTING THE SOFTWARE
GRAPHICS ARTWORK.

IN NO EVENT WILL SUN OR ITS LICENSORS BE LIABLE FOR ANY LOST REVENUE, PROFIT OR DATA, OR FOR DIRECT, INDIRECT, SPECIAL, CONSEQUENTIAL, 
INCIDENTAL OR PUNITIVE DAMAGES, HOWEVER CAUSED AND REGARDLESS OF THE THEORY OF LIABILITY, ARISING OUT OF THE USE OF OR INABILITY TO USE
SOFTWARE GRAPHICS ARTWORK, EVEN IF SUN HAS BEEN ADVISED OF THE POSSIBILITY OF SUCH DAMAGES.

If any of the above provisions are held to be in violation of applicable law, void, or unenforceable in any jurisdiction, then such provisions 
are waived to the extent necessary for this Disclaimer to be otherwise enforceable in such jurisdiction.

*****

These end up in jumpshot.jar and logconvertor.jar.

Resolution: images have been replaced with files from the Public Domain tango-icon-theme and a CC-BY-SA 3.0 "hands cursor" theme.

2. The source files under ./src/mpid/pamid contain an odd header notice:

/* begin_generated_IBM_copyright_prolog                             */
/*                                                                  */
/* This is an automatically generated copyright prolog.             */
/* After initializing,  DO NOT MODIFY OR MOVE                       */
/*  --------------------------------------------------------------- */
/* Licensed Materials - Property of IBM                             */
/* Blue Gene/Q 5765-PER 5765-PRP                                    */
/*                                                                  */
/* (C) Copyright IBM Corp. 2011, 2012 All Rights Reserved           */
/* US Government Users Restricted Rights -                          */
/* Use, duplication, or disclosure restricted                       */
/* by GSA ADP Schedule Contract with IBM Corp.                      */
/*                                                                  */
/*  --------------------------------------------------------------- */
/*                                                                  */
/* end_generated_IBM_copyright_prolog                               */
/*  (C)Copyright IBM Corp.  2007, 2011  */

Since I don't know what the GSA ADP Schedule Contract with IBM Corp looks like for this code, I can't be sure whether this is use/duplicated/disclosure restricted. 99% of this code claims to be MIT though, and since this is IBM legal boilerplate, I'm inclined to say it does not affect the license on this code.

****

I've fixed #1 in rawhide and I do not believe #2 is a concern. I've corrected the license tag to be "MIT and BSD and CC-BY-3.0 and Public Domain" If there are additional issues, please put them here, otherwise, I will consider this issue resolved.
Comment 5 Tom "spot" Callaway 2013-08-27 13:03:30 EDT
Also, mpich2 seems to be blocked in rawhide, it did not branch for f20. I'm wondering if this package is EOL and just never got properly finished...
Comment 6 Orion Poplawski 2013-08-27 13:33:51 EDT
It has been replaced by "mpich".
Comment 8 Jaroslav Reznik 2015-03-03 11:54:55 EST
This bug appears to have been reported against 'rawhide' during the Fedora 22 development cycle.
Changing version to '22'.

More information and reason for this action is here:
https://fedoraproject.org/wiki/Fedora_Program_Management/HouseKeeping/Fedora22
Comment 9 Zbigniew Jędrzejewski-Szmek 2016-01-21 08:52:53 EST
Files mentioned in comment #4 are not present in current sources. I looked various files over and I didn't find anything problematic.

Note You need to log in before you can comment on or make changes to this bug.